BuildJembossForm (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui.form
Class BuildJembossForm

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.form.BuildJembossForm

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

public class BuildJembossForm
extends java.lang.Object
implements java.awt.event.ActionListener

Responsible for displaying the graphical representation of the ACD EMBOSS files. Generates & runs command lines and display results.

Author:
  T. J. Carver

Field Summary
`protected static javax.swing.JPanel` | `advSection`
`private javax.swing.Box` | `advSectionBox`
`private AlignFormat` | `af`
`private java.lang.String` | `applName`
`private javax.swing.JButton` | `bresults`
`private java.awt.Cursor` | `cbusy`
`private java.awt.Cursor` | `cdone`
`private javax.swing.JCheckBox[]` | `checkBox`
`private java.lang.String` | `cwd`
`private java.lang.String[]` | `db`
`private java.lang.String` | `embossBin`
`private java.lang.String[]` | `envp`
`private javax.swing.JFrame` | `f`
`private myComboPopup[]` | `fieldOption`
`private ListFilePanel[]` | `filelist`
`private java.lang.String` | `helptext`
`protected static javax.swing.JPanel` | `inpSection`
`private SetInFileCard[]` | `inSeq`
`private InputSequenceAttributes[]` | `inSeqAttr`
`private javax.swing.JList[]` | `multiOption`
`private JembossParams` | `mysettings`
`private int` | `numofFields`
`private java.lang.String` | `outfileResult`
`protected static javax.swing.JPanel` | `outSection`
`protected static OutputSequenceAttributes` | `outSeqAttr`
`private ScrollPanel` | `p2`
`private ParseAcd` | `parseAcd`
`private javax.swing.JTextField[]` | `rangeField`
`protected static javax.swing.JPanel` | `reqdSection`
`private ReportFormat` | `rf`
`private java.lang.String` | `seqoutResult`
`private java.lang.String` | `stdout`
`private TextFieldSink[]` | `textf`
`private TextFieldFloat[]` | `textFloat`
`private TextFieldInt[]` | `textInt`
`private boolean` | `withSoap`

Constructor Summary
`BuildJembossForm(java.lang.String appDescription, java.lang.String[] db, java.lang.String applName, java.lang.String[] envp, java.lang.String cwd, java.lang.String embossBin, java.lang.String acdText, boolean withSoap, ScrollPanel p2, JembossParams mysettings, javax.swing.JFrame f)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)` Action events Exit, Help, GO, & Show results
`void` | `attach(javax.swing.JPanel p3, javax.swing.Box fieldPane, java.lang.String appDescription)`
`private java.lang.String` | `checkParameters(ParseAcd parseAcd, int numofFields, java.util.Hashtable filesToMove)`
`private java.lang.String` | `filesForSoap(java.lang.String fn, java.lang.String options, java.lang.String val, java.util.Hashtable filesToMove)`
`void` | `finalize()` Ensures garbaged collected when there are no more pointers to this.
`private java.lang.String` | `getCommand()` Get the command line for the Standalone version.
`private java.lang.String` | `getCommand(java.util.Hashtable filesToMove)` Get the command line for the SOAP version.
`private byte[]` | `getLocalFile(java.io.File name)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rf

    private ReportFormat rf

### af

    private AlignFormat af

### textf

    private TextFieldSink[] textf

### textInt

    private TextFieldInt[] textInt

### textFloat

    private TextFieldFloat[] textFloat

### rangeField

    private javax.swing.JTextField[] rangeField

### checkBox

    private javax.swing.JCheckBox[] checkBox

### inSeqAttr

    private InputSequenceAttributes[] inSeqAttr

### filelist

    private ListFilePanel[] filelist

### outSeqAttr

    protected static OutputSequenceAttributes outSeqAttr

### advSectionBox

    private javax.swing.Box advSectionBox

### advSection

    protected static javax.swing.JPanel advSection

### reqdSection

    protected static javax.swing.JPanel reqdSection

### outSection

    protected static javax.swing.JPanel outSection

### inpSection

    protected static javax.swing.JPanel inpSection

### fieldOption

    private myComboPopup[] fieldOption

### multiOption

    private javax.swing.JList[] multiOption

### inSeq

    private SetInFileCard[] inSeq

### bresults

    private javax.swing.JButton bresults

### applName

    private java.lang.String applName

### db

    private java.lang.String[] db

### envp

    private java.lang.String[] envp

### cwd

    private java.lang.String cwd

### parseAcd

    private ParseAcd parseAcd

### cbusy

    private java.awt.Cursor cbusy

### cdone

    private java.awt.Cursor cdone

### seqoutResult

    private java.lang.String seqoutResult

### outfileResult

    private java.lang.String outfileResult

### stdout

    private java.lang.String stdout

### helptext

    private java.lang.String helptext

### withSoap

    private boolean withSoap

### f

    private javax.swing.JFrame f

### p2

    private ScrollPanel p2

### embossBin

    private java.lang.String embossBin

### numofFields

    private int numofFields

### mysettings

    private JembossParams mysettings

Constructor Detail

### BuildJembossForm

    public BuildJembossForm(java.lang.String appDescription,
                            java.lang.String[] db,
                            java.lang.String applName,
                            java.lang.String[] envp,
                            java.lang.String cwd,
                            java.lang.String embossBin,
                            java.lang.String acdText,
                            boolean withSoap,
                            ScrollPanel p2,
                            JembossParams mysettings,
                            javax.swing.JFrame f)

Method Detail

### attach

    public void attach(javax.swing.JPanel p3,
                       javax.swing.Box fieldPane,
                       java.lang.String appDescription)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Action events Exit, Help, GO, & Show results

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### checkParameters

    private java.lang.String checkParameters(ParseAcd parseAcd,
                                             int numofFields,
                                             java.util.Hashtable filesToMove)

### filesForSoap

    private java.lang.String filesForSoap(java.lang.String fn,
                                          java.lang.String options,
                                          java.lang.String val,
                                          java.util.Hashtable filesToMove)

### getLocalFile

    private byte[] getLocalFile(java.io.File name)

### getCommand

    private java.lang.String getCommand()

  Get the command line for the Standalone version.

  Returns:
    String command line to use

### getCommand

    private java.lang.String getCommand(java.util.Hashtable filesToMove)

  Get the command line for the SOAP version.

  Returns:
    String command line to use

### finalize

    public void finalize()
                  throws java.lang.Throwable

  Ensures garbaged collected when there are no more pointers to this.

  Overrides:
    `finalize` in class `java.lang.Object`
    `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD